summaryrefslogtreecommitdiffstats
path: root/libraries/libgnomeprint/libgnomeprint.SlackBuild
diff options
context:
space:
mode:
author dsomero2012-08-31 03:26:19 +0200
committer dsomero2012-09-02 09:36:39 +0200
commit973c3bcf8c344589f5aeb5770806bcbde16a3042 (patch)
treecf761ba95ed14f8e1f78d9add59a0957015e2bd2 /libraries/libgnomeprint/libgnomeprint.SlackBuild
parentfd4743379694f5035393714e59e55b01c3e68864 (diff)
downloadslackbuilds-973c3bcf8c344589f5aeb5770806bcbde16a3042.tar.gz
libraries/libgnomeprint: Updated for version 2.18.8.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/libgnomeprint/libgnomeprint.SlackBuild')
-rw-r--r--libraries/libgnomeprint/libgnomeprint.SlackBuild21
1 files changed, 11 insertions, 10 deletions
diff --git a/libraries/libgnomeprint/libgnomeprint.SlackBuild b/libraries/libgnomeprint/libgnomeprint.SlackBuild
index ed921d8b8d..ef30588c02 100644
--- a/libraries/libgnomeprint/libgnomeprint.SlackBuild
+++ b/libraries/libgnomeprint/libgnomeprint.SlackBuild
@@ -25,16 +25,14 @@
# Modified by the SlackBuilds.org project
PRGNAM=libgnomeprint
-VERSION=2.18.6
+VERSION=2.18.8
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -58,12 +56,14 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -71,6 +71,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+patch -p1 -i $CWD/libgnomeprint-2.18.8-stdio-include.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -79,11 +81,10 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--enable-static=no \
- --build=$ARCH-slackware-linux \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS BUGS COPYING* ChangeLog INSTALL NEWS README \